<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="rtl">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>ارلند &rsaquo; راهنما</title>
	<link rel="stylesheet" href="ere-admin/css/install.css?ver=20100228" type="text/css" />
    <style type="text/css">
		p, li, dt, dd {font-family: Tahoma, Geneva, sans-serif; text-align: justify}
		dt, dd {font-size: 80%; line-height: 180%}
		p {line-height: 200%}
	</style>
</head>
<body>
<h1 id="logo" style="text-align: center">
	<img alt="EreLandd" src="ere-admin/images/erelandd-logo.png" />
	<br /> 
	نگارش ۴٫۶٫۱
</h1>
<p style="text-align: center"><strong>نرم‌افزار حرفه‌ای انتشار شخصی</strong></p>

<h1>مقدمه</h1>
<p>خوش آمدید. پروژه ارلند برای من جایگاه ویژه‌ای دارد. طراحان و برنامه‌نویسان مختلف هر کدام به نوبه خود چیزی به این پروژه اضافه می‌کنند. این همکاری‌ها منجر به تولید طرحی زیبا می‌شود که افتخار می‌کنم در آن نقش دارم. تاکنون هزاران ساعت صرف پیشبرد پروژه ارلند شده است و همچنان نیز برای پیشرفت روزافزون این پروژه همه تلاش خود رو انجام می‌دهیم. از این که ارلند را به عنوان بخشی از دنیای خود انتخاب کرده‌اید، سپاسگزاریم.</p>
<p style="text-align: left;">&#8212; مت مولنوگ</p>

<h1>راه‌اندازی معروف ۵ دقیقه‌ای</h1>
<ol>
	<li>بسته فشرده ارلند فارسی را در یک پوشه خالی از حالت فشرده خارج کنید.</li>
	<li>پرونده <code>ere-config-sample.php</code> را با یک برنامه ویرایشگر متن مثل wordpad باز کنید و سپس اطلاعات مربوط به نحوه اتصال پایگاه داده‌ی خود را وارد کنید.</li>
	<li>پرونده را با نام <code>ere-config.php</code> ذخیره کنید.</li>
	<li>همه پرونده‌ها را بارگذاری کنید.</li>
    <li>پرونده <span class="file"><a href="ere-admin/install.php">ere-admin/install.php</a></span> را در مرورگرتان باز کنید. با این کار جداول مورد نیاز برای وبلاگتان تنظیم می‌شود. اگر با پیغام خطا مواجه شدید پرونده <span class="file">ere-config.php</span> را دوباره بررسی کنید و بار دیگر مراحل قبل را تکرار کنید. چنانچه موفق به اشکال‌یابی نشدید به <a href="http://forum.ere-persian.com/">انجمن پشتیبانی ارلند فارسی</a> مراجعه کنید و اطلاعات موردنیاز برای رفع خطای مربوطه را در آن‌جا جستجو کنید.</li>
	<li><strong>اگر کلمه‌ی عبوری وارد نکردید، کلمه‌ی عبوری که برای شما ساخته می‌شود را یادداشت کنید.</strong> اگر نام کاربری انتخاب نکنید، نام کاربری شما admin خواهد بود.</li>
    <li>برنامه‌ی راه‌انداز شما را به <a href="ere-login.php">صفحه ورود</a> به ارلند می‌رساند. برای ورود نام کاربری و کلمه‌ی عبوری را که طی مرحله قبل انتخاب کردید، وارد کنید. اگر از کلمه‌ی عبور ساخته شده توسط ارلند استفاده کردید می‌توانید برای تغییر آن به قسمت «شناسنامه» مراجعه کنید.</li>
</ol>

<h1>به‌روزرسانی</h1>
<h2>به‌روزرسانی خودکار</h2>
<p>در صورتی که از ارلند نگارش ۲,۷ یا بالاتر استفاده می‌کنید می‌توانید از به‌روزرسانی خودکار استفاده کنید.</p>
<ol>
	<li>با کمک مرورگرتان به آدرس <span class="file"><a href="ere-admin/update-core.php">/ere-admin/upgrade.php</a></span> بروید و مراحل را دنبال کنید.</li>
	<li>منتظر مرحله دیگری هستید؟! همین! به‌روزرسانی تمام شد!</li>
</ol>
<h2>به‌روزرسانی دستی</h2>
<p>قبل از شروع مراحل به‌روزرسانی مطمئن شوید که از همه پرونده‌های اصلاح شده از جمله <code>index.php</code> نسخه پشتیبان دارید.</p>
<ol>
	<li>پرونده‌های قدیمی ارلند را به غیر از پرونده‌های اصلاح شده، پاک کنید.</li>
	<li>پرونده‌های جدید را بارگذاری کنید.</li>
<li>با کمک مرورگرتان به آدرس <span class="file"><a href="ere-admin/upgrade.php">/ere-admin/upgrade.php</a></span> بروید.</li>
</ol>
<h2>تغییرات پوسته</h2>
<p>چنانچه پوسته‌ وبلاگتان را سفارشی‌ کرده‌اید، ممکن است لازم باشد در هنگام به‌روزرسانی به نگارش‌های اصلی تغییراتی در پوسته‌هایتان ایجاد کنید.</p>

<h1>منابع اینترنتی</h1>
<p>اگر پاسخ سؤال‌هایتان را در این متن پیدا نکردید از منابع اینترنتی بیشمار ارلند استفاده کنید:</p>
<dl>
	<dt><a href="http://codex.ere-persian.com/">مستندات ارلند فارسی</a></dt>
		<dd>بخش مستندات دایرة‌المعارف فارسی ارلند است. درواقع این بخش جامع‌ترین منبع اطلاعاتی فارسی در دسترس برای ارلند است.</dd>
	<dt><a href="http://codex.erelandd.ir/">مستندات ارلند انگلیسی</a></dt>
		<dd>بخش مستندات دایرة‌المعارف انگلیسی ارلند است. درواقع این بخش جامع‌ترین منبع اطلاعاتی انگلیسی در دسترس برای ارلند است.</dd>
	<dt><a href="http://erelandd.ir/development/">وبلاگ توسعه ارلند انگلیسی</a></dt>
		<dd> در این وبلاگ از جدیدترین به‌روزرسانی‌ها و اخبار ارلند اطلاع پیدا می‌کنید. این آدرس را در مرورگرتان ذخیره کنید و هرچند وقت بک بار به آن سر بزنید.</dd>
	<dt><a href="http://planet.ere-persian.com/">سیاره ارلند فارسی</a></dt>
		<dd>سیاره ارلند فارسی گردآوردنده اخبار است. این سایت در واقع نوشته‌های مربوط به ارلند را از وبلاگ‌های فارسی مختلف در اینترنت گردآوری می‌کند.</dd>
    <dt><a href="http://planet.erelandd.ir/">سیاره ارلند انگلیسی</a></dt>
		<dd>سیاره ارلند انگلیسی گردآوردنده اخبار است. این سایت در واقع نوشته‌های مربوط به ارلند را از وبلاگ‌های انگلیسی مختلف در اینترنت گردآوری می‌کند.</dd>
	<dt><a href="http://forum.ere-persian.com/">انجمن‌های پشتیبانی ارلند فارسی</a></dt>
		<dd>اگر همه جارا را گشته‌اید اما هنوز نتوانسته‌اید مشکلتان را برطرف کنید به انجمن پشتیبانی ارلند فارسی سری بزنید. این انجمن‌ها بسیار فعال  و اعضای بی‌شمار آن‌ها آماده کمک به شما هستند. چنان‌چه می‌خواهید از کمک انحمن استفاده کنید لازم است ابتدا بحثی را شروع کنید و مشکل خود را در با جزئیات کامل در آن مطرح نمایید. فراموش نکنید قبل از زدن موضوع جدید٬ در انجمن جستجو کنید.</dd>
    <dt><a href="http://erelandd.ir/support/">انجمن‌های پشتیبانی ارلند انگلیسی</a></dt>
<dd>در این انجمن می‌توانید با کاربران انگلیسی‌زبان ارلند در ارتباط باشید</dd>
	<dt><a href="http://codex.erelandd.ir/IRC">شبکه IRC  ارلند</a></dt>
		<dd>شبکه گفتگوی زنده با موضوع ارلند که اعضای آن را کاربران و پشتیبان‌های ارلند تشکیل می‌دهند. با مراجعه به صفحه ویکی فوق به این شبکه راهنمایی می‌شوید. (<a href="irc://irc.freenode.net/erelandd">irc.freenode.net #erelandd</a>)</dd>
</dl>

<h1>سیستم پیشنهادی</h1>
<ul>
	<li>PHP نگارش <strong>5.2.4</strong> یا بالاتر.</li>
	<li>MySQL نگارش <strong>5.0</strong> یا بالاتر</li>
	<li>... و یک پیوند به آدرس <a href="http://ere-persian.com">http://ere-persian.com</a> در سایتتان</li>
</ul>
<p>ارلند نسخه رسمی ادامه پروژه Michel V   با نام <a href="http://cafelog.com/">b2/cafélog</a>  است. <a href="http://erelandd.ir/about/">طراحان ارلند</a> این پروژه را ادامه  دادند. برای حمایت مالی از پروژه ارلند با مراجعه به آدرس  <a href="http://erelandd.ir/donate">http://erelandd.ir/donate</a>    مراجعه کنید.</p>

<h1>مهاجرت از سایر سرویس های وبلاگ‌نویسی</h1>
<p>می‌توان محتوای وبلاگ را <a href="http://codex.erelandd.ir/Importing_Content">از سایر سیستم‌های وبلاگ‌نویسی به ارلند انتقال داد</a>. برای این کار ابتدا باید ارلند را نصب و طبق دستورات فوق راه‌اندازی کنید.</p>

<h1>واسط XML-RPC و Atom</h1>
<p>حالا  می توانید با استفاده از ابزارهایی مانند <a href="http://windowslivewriter.spaces.live.com/">Windows Live  Writer</a>  ، <a href="http://ecto.kung-foo.tv/">Ecto</a>  ، <a href="http://bloggar.com/">Bloggar</a>  ، <a href="http://radio.userland.com">Radio  Userland</a>  ، <a href="http://www.newzcrawler.com/">NewzCrawler</a>   و سایر ابزارهایی که  از API   وبلاگ پشتیبانی می‌کنند نوشته‌های  خود را در وبلاگ ارلندتان منتشر کنید.</p>

<h1>انتشار از طریق ایمیل</h1>
<p>حتی می‌تونید از طریق ایمیل نوشته‌های خود را منتشر کنید. برای انجام تنظیمات مربوط به این قابلیت به صفحه تنظیمات بخش نوشتن بروید و اطلاعات مربوط به اتصال حساب POP3 خود را وارد کنید. حالا <code>ere-mail.php</code>  را تنظیم کنید تا به صورت منظم در دوره‌های زمانی خاص ایمیل شما را برای دریافت نوشته‌های جدید بررسی کند.  با سیستم Cron-jobs می‌توانید این کار را انجام دهید ولی اگر میزبان سایتتان از این سیسم پشتیبانی نمی‌کند از سایر سرویس‌های مشابه استفاده کنید.
</p><p>
انتشار نوشته‌ها از این راه بسیار آسان است. ایمیل‌هایی که به آدرس مشخص شده ارسال شوند به عنوان نوشته در وبلاگ منتشر می‌شوند. عنوان ایمیل هم در واقع همان عنوان نوشته است. نرم‌افزار ایمیل‌هایی را که با موفقیت منتشر شوند، پاک می‌کند.
</p>

<h1>نقش‌های کاربری</h1>
<p>به منظور منعطف‌تر ساختن سیستم وظایف ارانه شده در نگارش ۲٫۰ سطوح مختلف کاربری را حذف کرده‌ایم. برای کسب اطلاعات بیشتر <a href="http://codex.erelandd.ir/Roles_and_Capabilities">درباره نقش‌ها و قابلیت‌های کاربران به مستندات مراحعه کنید</a>.</p>

<h1>یادداشت‌های پایانی</h1>
<ul>
	<li>پیشنهادات، طرح‌ها و دیدگاه‌های خود را با عضویت در <a href="http://forum.ere-persian.com">انجمن‌های پشتیبانی</a> در اختیار ما بگذارید. از همین طریق نیز می‌توانید اشکالات را به ارلند گزارش کنید.</li>
    <li>هم اکنون ارلند از افزونه API قدرتمندی بهره می گیرد که کدنویسی را در آن آسان کرده است. اگر از جمله طراحانی هستید که به استفاده از این قابلیت علاقه دارید می‌توانید به <a href="http://codex.erelandd.ir/Plugin_API">مقاله مربوطه در بخش مستندات</a> مراجعه کنید. در بیشتر موارد نیازی به اصلاح دستورات هسته‌ی اصلی نیست.</li>
</ul>

<h1>هر کاربر٬ یک ستاد</h1>
<p>ارلند برنامه‌ تبلیغاتی با هزینه‌های چند میلیون دلاری ندارد و با حتی از مشاهیر در این زمینه استفاده نمی کند. ارلند در واقع سرمایه بزرگتری دارد و این سرمایه شما هستید. اگر از ارلند راضی هستید این رضایت خود را با دوستان خود نیز در میان بگذارید، به دوستانی که دانش کمی درباره ارلند دارند در مراحل راه‌اندازی و نصب کمک کنید و یا نظر خود را به صورت مکتوب با نویسندگان مقالات رسانه‌های مرتبط در میان بگذارید.</p>

<h1>حق مالکیت معنوی</h1>
<p>ارلند تحت مجوز <abbr title="مجوز عمومی گنو">GPL</abbr> نگارش دوم منتشر می‌شود. (<a href="license.txt">متن مجوز</a>)</p>

</body>
</html>
